microsoft-foundry.rest.security.o-auth2-auth
Datasets
Create or update a version
PATCH
/datasets/{name}/versions/{version}
Create a new or update an existing DatasetVersion with the given version id
查詢參數
api-version
string
必要
The API version to use for this operation.
路徑參數
name
string
必要
The name of the resource
version
string
必要
The specific version id of the DatasetVersion to create or update.
要求本文
The DatasetVersion to create or update.
Content-Type: application/merge-patch+json
下列其中一項:
uri_file
FileDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
必要
Dataset type
uri_file
uri_folder
FolderDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
必要
Dataset type
uri_folder
回覆
The request has succeeded.
主體
Content-Type: application/json
下列其中一項:
uri_file
FileDatasetVersion
FileDatasetVersion Definition
type
enum
必要
Dataset type
uri_file
uri_folder
FolderDatasetVersion
FileDatasetVersion Definition
type
enum
必要
Dataset type
uri_folder
Request
PATCH /datasets/{name}/versions/{version} HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json